       IDENTIFICATION DIVISION.
       PROGRAM-ID.    CBTRAKC1.
       AUTHOR.        SIMOTIME TECHNOLOGIES.
      *****************************************************************
       DATA DIVISION.
       WORKING-STORAGE SECTION.
       01  SIM-TITLE.
           05  T1 pic X(11) value '* CBTRAKC1 '.
           05  T2 pic X(34) value 'Test for SIMOTRAK callable routine'.
           05  T3 pic X(10) value ' v07.08.26'.
           05  T4 pic X(24) value ' http://www.simotime.com'.

       01  SIM-COPYRIGHT.
           05  C1 pic X(11) value '* CBTRAKC1 '.
           05  C2 pic X(20) value 'Copyright 1987-2016 '.
           05  C3 pic X(28) value '   SimoTime Technologies    '.
           05  C4 pic X(20) value ' All Rights Reserved'.

       01  SIM-THANKS-01.
           05  C1 pic X(11) value '* CBTRAKC1 '.
           05  C2 pic X(32) value 'Thank you for using this program'.
           05  C3 pic X(32) value ' provided from SimoTime Technolo'.
           05  C4 pic X(04) value 'gies'.

       01  SIM-THANKS-02.
           05  C1 pic X(11) value '* CBTRAKC1 '.
           05  C2 pic X(32) value 'Please send all inquires or sugg'.
           05  C3 pic X(32) value 'estions to the helpdesk@simotime'.
           05  C4 pic X(04) value '.com'.

      *****************************************************************
      * Message Buffer used by the Z-DISPLAY-MESSAGE-TEXT routine.    *
      *****************************************************************
       01  MESSAGE-BUFFER.
           05  MESSAGE-HEADER      pic X(11)   value '* CBWAITC1 '.
           05  MESSAGE-TEXT.
               10  MESSAGE-TEXT-1  pic X(68)   value SPACES.
               10  MESSAGE-TEXT-2  pic X(188)  value SPACES.


       COPY PAWAITER.
       COPY PASSTRAK.

      *****************************************************************
       PROCEDURE DIVISION.
           move 'TRAK'     to SIMOTRAK-REQUEST
           move 'CBTRAKC1' to SIMOTRAK-PROG
           move 'STTRAK01' to SIMOTRAK-ID
           move 'ENTR - PROCEDURE DIVISION' to SIMOTRAK-TEXT
           call 'SIMOTRAK' using SIMOTRAK-PASS-AREA
           perform Z-POST-COPYRIGHT
           perform TEST-ROUTINE-001
           perform TEST-ROUTINE-002
           perform TEST-ROUTINE-003
           perform TEST-ROUTINE-004
           perform TEST-ROUTINE-005
           perform Z-THANK-YOU.
           move 'STTRAK02' to SIMOTRAK-ID
           move 'EXIT - PROCEDURE DIVISION' to SIMOTRAK-TEXT
           call 'SIMOTRAK' using SIMOTRAK-PASS-AREA
           GOBACK.

      *****************************************************************
       TEST-ROUTINE-001.
           move 'STTRAK01' to SIMOTRAK-ID
           move 'ENTR - TEST-ROUTINE-001' to SIMOTRAK-TEXT
           call 'SIMOTRAK' using SIMOTRAK-PASS-AREA

           add 11 to ZERO giving MFWAITER-LENGTH
           move '00:00:02:00' to MFWAITER-TIME
           call 'MFWAITER' using MFWAITER-PASS-AREA

           move 'STTRAK02' to SIMOTRAK-ID
           move 'EXIT - TEST-ROUTINE-001' to SIMOTRAK-TEXT
           call 'SIMOTRAK' using SIMOTRAK-PASS-AREA
           exit.

      *****************************************************************
       TEST-ROUTINE-002.
           move 'STTRAK01' to SIMOTRAK-ID
           move 'ENTR - TEST-ROUTINE-002' to SIMOTRAK-TEXT
           call 'SIMOTRAK' using SIMOTRAK-PASS-AREA

           add 11 to ZERO giving MFWAITER-LENGTH
           move '00:00:03:00' to MFWAITER-TIME
           call 'MFWAITER' using MFWAITER-PASS-AREA

           move 'STTRAK02' to SIMOTRAK-ID
           move 'EXIT - TEST-ROUTINE-002' to SIMOTRAK-TEXT
           call 'SIMOTRAK' using SIMOTRAK-PASS-AREA
           exit.

      *****************************************************************
       TEST-ROUTINE-003.
           move 'STTRAK01' to SIMOTRAK-ID
           move 'ENTR - TEST-ROUTINE-003' to SIMOTRAK-TEXT
           call 'SIMOTRAK' using SIMOTRAK-PASS-AREA

           add 11 to ZERO giving MFWAITER-LENGTH
           move '00:00:05:00' to MFWAITER-TIME
           call 'MFWAITER' using MFWAITER-PASS-AREA

           move 'STTRAK02' to SIMOTRAK-ID
           move 'EXIT - TEST-ROUTINE-003' to SIMOTRAK-TEXT
           call 'SIMOTRAK' using SIMOTRAK-PASS-AREA
           exit.

      *****************************************************************
       TEST-ROUTINE-004.
           move 'STTRAK01' to SIMOTRAK-ID
           move 'ENTR - TEST-ROUTINE-004' to SIMOTRAK-TEXT
           call 'SIMOTRAK' using SIMOTRAK-PASS-AREA

           add 11 to ZERO giving MFWAITER-LENGTH
           move '00:00:03:00' to MFWAITER-TIME
           call 'MFWAITER' using MFWAITER-PASS-AREA

           move 'STTRAK02' to SIMOTRAK-ID
           move 'EXIT - TEST-ROUTINE-004' to SIMOTRAK-TEXT
           call 'SIMOTRAK' using SIMOTRAK-PASS-AREA
           exit.

      *****************************************************************
       TEST-ROUTINE-005.
           move 'STTRAK01' to SIMOTRAK-ID
           move 'ENTR - TEST-ROUTINE-005' to SIMOTRAK-TEXT
           call 'SIMOTRAK' using SIMOTRAK-PASS-AREA

           add 11 to ZERO giving MFWAITER-LENGTH
           move '00:00:02:00' to MFWAITER-TIME
           call 'MFWAITER' using MFWAITER-PASS-AREA

           move 'STTRAK02' to SIMOTRAK-ID
           move 'EXIT - TEST-ROUTINE-005' to SIMOTRAK-TEXT
           call 'SIMOTRAK' using SIMOTRAK-PASS-AREA
           exit.

      *****************************************************************
      * Display CONSOLE messages...                                   *
      *****************************************************************
       Z-DISPLAY-MESSAGE-TEXT.
           if MESSAGE-TEXT-2 = SPACES
               display MESSAGE-BUFFER(1:79)
           else
               display MESSAGE-BUFFER
           end-if
           move all SPACES to MESSAGE-TEXT
           exit.

      *****************************************************************
       Z-POST-COPYRIGHT.
           display SIM-TITLE     upon console
           display SIM-COPYRIGHT upon console
           exit.

      *****************************************************************
       Z-THANK-YOU.
           display SIM-THANKS-01 upon console
           display SIM-THANKS-02 upon console
           exit.
      *****************************************************************
      *      This example is provided by SimoTime Technologies        *
      *        Our e-mail address is: helpdesk@simotime.com           *
      *     Also, visit our Web Site at http://www.simotime.com       *
      *****************************************************************
